Bug 150045 - Invalid patches in traceroute-1.4a12-24.src.rpm
Summary: Invalid patches in traceroute-1.4a12-24.src.rpm
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: traceroute   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-01 22:03 UTC by Pádraig Brady
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 08:13:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pádraig Brady 2005-03-01 22:03:20 UTC
Invalid patches in traceroute-1.4a12-24.src.rpm at least
Just extracting the srpm and running the following:

grep "^Patch" ../traceroute.spec  |
cut -d: -f2 |
while read patch; do
    echo "****$patch****"
    patch --dry-run -ts -p1
done

gives:

****traceroute-1.4a5-fix.patch****
****traceroute-1.4a5-secfix.patch****
****traceroute-1.4a5-alpha.patch****
1 out of 1 hunk FAILED -- saving rejects to file linux-include/netinet/ip_var.h.rej
****traceroute-1.4a5-autoroute.patch****
1 out of 1 hunk FAILED -- saving rejects to file configure.rej
1 out of 1 hunk FAILED -- saving rejects to file configure.in.rej
****traceroute-1.4a5-autoroute2.patch****
1 out of 3 hunks FAILED -- saving rejects to file traceroute.c.rej
****traceroute-1.4a5-unaligned.patch****
****traceroute-1.4a5-llanfairpwllgwyngyllgogerychwyrndrobwllllantysiliogogogoch.patch****
****traceroute-1.4a5-fhs.patch****
1 out of 2 hunks FAILED -- saving rejects to file Makefile.in.rej
****traceroute-1.4a5-sourceroute.patch****
The text leading up to this was:
--------------------------
|--- traceroute-1.4a5/savestr.c.orig    Sat May 10 00:52:34 1997
|+++ traceroute-1.4a5/savestr.c Sat Jul  8 00:29:51 2000
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
****traceroute-1.4a5-aliases.patch****
4 out of 4 hunks FAILED -- saving rejects to file traceroute.c.rej
****traceroute-1.4a5-droproot.patch****
****traceroute-1.4a5-bigpacklen.patch****
****traceroute-1.4a5-lsrr.patch****
1 out of 1 hunk FAILED -- saving rejects to file configure.rej
6 out of 22 hunks FAILED -- saving rejects to file traceroute.c.rej
****traceroute-1.4a12-sockopt.patch****
****traceroute-1.4a12-sockopt2.patch****
1 out of 1 hunk FAILED -- saving rejects to file traceroute.c.rej
****traceroute-1.4a12-tos-monitoring.patch****
****traceroute-1.4a12-mpls-icmp-02.patch****
****traceroute-1.4a12-pie.patch****

I've only tried traceroute, so perhaps this script should
be run over all packages?

Comment 1 Pádraig Brady 2005-03-01 22:07:05 UTC
Feck, obviously --dry-run will break things.
However even removing that gives (fewer) errors:

****traceroute-1.4a5-fix.patch****
****traceroute-1.4a5-secfix.patch****
****traceroute-1.4a5-alpha.patch****
1 out of 1 hunk FAILED -- saving rejects to file linux-include/netinet/ip_var.h.rej
****traceroute-1.4a5-autoroute.patch****
****traceroute-1.4a5-autoroute2.patch****
****traceroute-1.4a5-unaligned.patch****
****traceroute-1.4a5-llanfairpwllgwyngyllgogerychwyrndrobwllllantysiliogogogoch.patch****
****traceroute-1.4a5-fhs.patch****
****traceroute-1.4a5-sourceroute.patch****
The text leading up to this was:
--------------------------
|--- traceroute-1.4a5/savestr.c.orig    Sat May 10 00:52:34 1997
|+++ traceroute-1.4a5/savestr.c Sat Jul  8 00:29:51 2000
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
****traceroute-1.4a5-aliases.patch****
****traceroute-1.4a5-droproot.patch****
****traceroute-1.4a5-bigpacklen.patch****
****traceroute-1.4a5-lsrr.patch****
****traceroute-1.4a12-sockopt.patch****
****traceroute-1.4a12-sockopt2.patch****
****traceroute-1.4a12-tos-monitoring.patch****
****traceroute-1.4a12-mpls-icmp-02.patch****
****traceroute-1.4a12-pie.patch****


Comment 2 Radek Vokal 2005-03-02 08:13:25 UTC
There's a nice mistake in your script. It also takes lines like #Patch
which are obviously commented out ;) 



Note You need to log in before you can comment on or make changes to this bug.